;DA02.ASM (AES11 PROGRAM)
;similar to DA.ASM but this time use ROM ROUTINE (JSR $9024)
;PROGRAM MAKES D/A CONVERSION
;Assembler: AS11 Ver. 1.03
;Assembler Command Line: AS11 DA02.ASM
;
;To run program from the debugger menu:
;B 0100 <enter>


DAC     EQU     $9024           ;ADDRESS OF AES11 D/A ROUTINE IN ROM
AES_C   EQU     $6040           ;Temporary I/O storage in RAM which
                                ;uses with ROM routines

        
        ORG $100                ;program codes start at 100Hex
        
        LDAA #$FF               ;Load A-register with FFhex
                                ;FFh = apx. 3.54V  D/A OUT pin (max output)
        STAA AES_C              ;Store value in A-accumulator into memory
                                ;6040Hex
        JSR DAC                 ;call routine in ROM to read the value in
                                ;6040H and start D/A conversion
        RTS             

