;KEYCODE.ASM   (AES11 sample program)
;program demonstrates how to read the hardware key code(1-13h) on
;the AES11 keypad
;
;Assembler: AS11 Ver. 1.03
;Assembler Command Line: AS11 KEYCODE.ASM
;
;To run program from the debugger menu:
;B 0100 <enter>


PORTA   EQU $6000            ; HC11 's PORT A REGISTER

KEYPAD  EQU $7400            ; address to select the keypad device;
                             ; Y4/ on the chip select line of U11.


        ORG  $100            ; program codes start at 100Hex
        STAA KEYPAD          ; write anything to the device address
                             ; to clear the data latch

P1      LDAA PORTA           ; load content of PORTA into A-accumulator
        BITA #$1             ; test for a 1 on PORTA pin 0
        BNE P1               ; if not a key hit, a one, poll again

        LDAA KEYPAD          ; Read DATA from the device
        STAA RESULT          ; save DATA in memory location 200H

                             ; use M 0200 to view at the debugger prompt
                             ; note: make sure JUMPER J3 is set for PA0 (default)
        RTS                  ;
        
        ORG  $200
RESULT  ZMB  1               ;reverse 1 byte
