;master.asm
;simple program is to be loaded in the master processor
;This program send data via serial port 2
;Assembler: AS11 Ver. 1.03
;Assembler Command Line: AS11 master.asm
;
;To run program at the Debugger Prompt, type
;B 0100 <enter>


;DRIVER ROUTINES' ADDRESS
SERIAL2 EQU     $903F           ;address to enable 2nd serial port
                                ;(serial port 1 disabled)
PUTCHR  EQU     $9018           ;send character in memory 6040H        
                                ;to the serial port
;DRIVERS' VARIABLE
AES_C   EQU     $6040           ;RAM storage that used by ROM routine



        ORG     $100            ;
        JSR     SERIAL2         ;enable serial port 2
        
        LDA     #'A'
        STAA    AES_C
        
LOOP    JSR     PUTCHR          
        JMP     LOOP



