;slave.asm
;this program is to be downloaded to a slave processor
;program waits to receive incoming characters through the 2nd serial
;port and sends its to the LCD display
;Assembler: AS11 Ver. 1.03
;Assembler Command Line: AS11 slave.asm
;
;To run program at the Debugger Prompt, type
;B 0100 <enter>


;ROM ROUTINE's ADDRESS
SERIAL2 EQU     $903F           ;address to enable 2nd serial port
                                ;(serial port 1 disabled)

                                ;
GETCHR  EQU     $9015           ;routine to get char from the
                                ;serial port

LCDCHAR EQU     $9003           ;routine to send ASCII code in memory
                                ;6040H to the LCD display
        
        ORG     $100            ;
        JSR     SERIAL2         ;enable serial port 2
MAIN:                
        JSR GETCHR              ;
        JSR LCDCHAR             ;
        BRA MAIN                ;loop for next byte
        END



