;TEXT.ASM
;program sends text string "Hello World" to the LCD display & the CRT display
;
;Assembler: AS11 Ver. 1.03
;Assembler Command Line: AS11 TEXT.ASM
;
;To run program at the Debugger Prompt, type
;B 0100 <enter>

LCDCLS  EQU     $9000           ;Clear AES11 LCD Display
LCDTEXT EQU     $902A           ;address of AES11 's driver which
                                ;sends text string null terminates;
                                ;indexes by IX to the LCD display

CRTTEXT EQU     $9027           ;similar to LCDTEXT, but send text
                                ;to the CRT display

        
        ORG     $100            
        
        LDX     #MSG            ;IX points to string MSG
                                ;Load IX with the starting address
                                ;of MSG

        JSR     LCDCLS          ;clear the LCD display
        JSR     LCDTEXT         ;send text out to the LCD display
        JSR     CRTTEXT         ;Send text out to the CRT display

        RTS                     ;program ends (return to debugger from B 100)

MSG     FCC     'Hello World'
        FCB     0

