rem This is an example of using the IRQ interrupt in BASIC.
rem Before you do the main program write this program in command mode.
rem     for k=1 to 2000:print k:next k      
rem While this one-liner is running, ground the IRQ pin (on J2). 
rem See how it will halt a running program and then continue. This happens
rem even though the ONIRQ statement has not been used.
rem
rem 
rem Start of program. Try variations and play with the program for 
rem experience.  Try grounding/releasing the IRQ pin on J2. 
rem First take in a keycode number from the AES-11 keypad. Note that the
rem keycode 6 is in the "9" key. See chapter VII-II-B-6 of User's Manual.
10 inbyte#2,x
20 print x
rem Only if x=6 is the interrupt disabled. 
30 onirq x-6,200
40 if x=6 then 50 else 60
50 print "interrupt disabled"
60 print "interrupt enabled"
70 goto 40
80 end
rem Here is our interrupt subroutine.
200 print "irq pin has been grounded"
210 reti
rem  You will need a Control-C to stop the program.

