;LEDS02.ASM    (AES11 PROGRAM)
;PROGRAM TO TOGGLE LEDS ON/OFF CONTINUOUSLY USING AES11 DRIVERS RESIDED
;IN ROM. To stop running, hit hardware reset button
;Assembler: AS11 Ver. 1.03
;Assembler Commands: AS11 LEDS02.ASM
;
;To run program at the Debugger Prompt, type
;B 0100 <enter>


LEDSON  EQU $901B            ;ADDRESS OF ROM ROUTINE TO TOGGLE LEDS ON
LEDSFF  EQU $901E            ;Address of ROM routine to toggle LEDS OFF             
        

        ORG $100             ;using the Debugger, the user program
                             ;address starts at 100 hex and up
                             ;user program can have up to 24K bytes
                             ;of codes

        
MAIN                         
        JSR LEDSON           ;Call routine to toggle LEDS ON

        LDX #$FFFF
LOOP1   
        DEX                  ;DELAYS (64K x 3 x 3 ) Cycles
                             ;1.085uS/cycle
        BNE LOOP1
        
        JSR LEDSFF           ;Toggle LEDS OFF

        LDX #$FFFF
LOOP2   DEX                  ;DELAYS AGAIN
        BNE LOOP2
        
        JMP MAIN             ;Repeat sequence

        





