;LEDSR.ASM    (AES11 PROGRAM)
;ROM PROGRAM TO TOGGLE LEDS ON/OFF INFINITELY. 
;Hit hardware reset to stop running.
;Assembler: AS11 Ver. 1.03
;AS11.EXE LEDSR.ASM


;ADDRESS OF I/O registers (DEFAULT ADDRESS)

PORTA   EQU     $1000           ;PORT A DATA REGISTER
PORTD   EQU     $1008           ;PORT D DATA REGISTER
DDRD    EQU     $1009           ;PORT D DATA DIRECTION CONTROL REGISTER

        
        ORG $8000             ;AES11 ROM CODES START AT $8000

        LDAA #$FF
        STAA DDRD             ;SETUP PORT D FOR OUTPUT

MAIN
        CLRA
        STAA PORTD            ;toggle PD5,PD4,PD3,PD2 pins
        STAA PORTA            ;toggle PA5,PA6 pins
        
        LDX #$FFFF
LOOP1   DEX                  ;DELAYS
        BNE LOOP1

        LDAA #$FF           
        STAA PORTD           ;toggle off PD5,PD4,PD3,PD2
        LDAA #$E7            ;toggle off PA5,PA6
        STAA PORTA

        LDX #$FFFF
LOOP2   DEX                  ;DELAYS AGAIN
        BNE LOOP2
        
        BRA MAIN

        ORG  $FFFE
RESET   FDB  $8000

        





